httpd-bugs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 51764] New: configure: WARNING: unrecognized options: --with-ldap
Date Fri, 02 Sep 2011 21:35:00 GMT
https://issues.apache.org/bugzilla/show_bug.cgi?id=51764

             Bug #: 51764
           Summary: configure: WARNING: unrecognized options: --with-ldap
           Product: Apache httpd-2
           Version: 2.0.64
          Platform: PC
        OS/Version: Windows XP
            Status: NEW
          Severity: normal
          Priority: P2
         Component: Build
        AssignedTo: bugs@httpd.apache.org
        ReportedBy: murthys@us.ibm.com
    Classification: Unclassified


I am trying to compile Apache 2.0.64 on AIX 5.3 TL-12 SP-2 with GCC 4.4.6

The command issued for configure is:

/work/httpd-2.0.64/configure --prefix=/usr/lll/apache-2.0.64  \
 --enable-ldap --enable-auth-ldap --with-ldap \
   --enable-deflate    --enable-ssl   --enable-dav \
      --enable-dav-fs --enable-rewrite --enable-so \
         --with-z=/usr/fs615web/zlib  --enable-proxy  --enable-speling \
           --enable-cern-meta  --enable-unique-id \
              --enable-example --enable-mime-magic --enable-usertrack \
                 --enable-vhost-alias \ --enable-log-forensic \
                    --enable-cgi --srcdir=/work/httpd-2.0.64  \
                       --enable-mods-shared=most


The command throws a warning message

 configure: WARNING: unrecognized options: --with-ldap.

When you try to  build while ignoring the WARNING  the build fails.

Just to make sure if the previous version of Apache worked o.k.,  I downloaded
the Apache 2.0.63 and issued  the following command

/work/httpd-2.0.63/configure --prefix=/usr/lll/apache-2.0.63  \
 --enable-ldap --enable-auth-ldap --with-ldap \
   --enable-deflate    --enable-ssl   --enable-dav \
      --enable-dav-fs --enable-rewrite --enable-so \
         --with-z=/usr/fs615web/zlib  --enable-proxy  --enable-speling \
           --enable-cern-meta  --enable-unique-id \
              --enable-example --enable-mime-magic --enable-usertrack \
                 --enable-vhost-alias \ --enable-log-forensic \
                    --enable-cgi --srcdir=/work/httpd-2.0.63  \
                       --enable-mods-shared=most

 It worked perfect. I was also able to successfully build and install 2.0.63 .

Looks like the configure shipped with 2.0.64 has some issues.

-- 
Configure bugmail: https://issues.apache.org/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.

---------------------------------------------------------------------
To unsubscribe, e-mail: bugs-unsubscribe@httpd.apache.org
For additional commands, e-mail: bugs-help@httpd.apache.org


Mime
View raw message